Bug 63995 - MSO XML documents are locked longer than expected
Summary: MSO XML documents are locked longer than expected
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.0.3.1 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 100230 (view as bug list)
Depends on:
Blocks: File-Lock
  Show dependency treegraph
 
Reported: 2013-04-27 12:39 UTC by Urmas
Modified: 2019-02-19 21:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (1.69 KB, text/xml)
2013-12-22 07:55 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2013-04-27 12:39:58 UTC
1. Open CSV file with Calc
2. Close file in Calc
3. Try to open the file with other application

Expected result: File opened for read/write
Actual result:   File can be opened only for reading, sharing violation otherwise.

You need to close Calc APP ENTIRELY to unlock the file! That's BS.
Comment 1 Thomas van der Meulen 2013-04-27 17:30:33 UTC
Hello Urmas, I can't confurm this bug running LibreOffice 4.0.3.1 on mac osx 10.8.3 or LibreOffice 4.0.2.2 on Ubuntu 13.04. I will test this bug on Windows later this week.
Comment 2 Joel Madero 2013-04-30 22:19:31 UTC
What other application? Any? Notepad for instance?
Comment 3 Joel Madero 2013-05-01 03:17:29 UTC
Cannot confirm on Windows 7 on either 3.6.0.4 release nor on Tinderbox from three days ago.

Steps:
1. Open a CSV in Spreadsheet
2. Close CSV but keep LibreOffice open
3. Open CSV with notebad


Behavior:

File opens read/write in notepad


I don't see the file locked in read only mode.


Urmas - what operating system?
Comment 4 Urmas 2013-05-04 21:11:04 UTC
This issue presents for both Excel and Word XML format documents.
Comment 5 Anton Derbenev 2013-07-17 11:46:30 UTC
I've met this behavior with several LO 4.0.x versions on multiple machines with Windows XP, Vista, 7 (both 32 and 64-bit), 8 (64-bit). For me, this is sign that LO will crash soon (on next save often), loosing data.
Comment 6 retired 2013-12-21 15:48:36 UTC
Can you please provide a test document so this can be tested against and subsequently be confirmed. If your document contains sensitive data, please clear that or replace it with random information.

Do any of you still experience this problem with LO 4.2.0.1: http://www.libreoffice.org/download/pre-releases/

Setting to NEEDINFO until more detail is provided.

After providing the requested info, please reset this bug to NEW. Thanks :)
Comment 7 Urmas 2013-12-22 07:55:16 UTC
Created attachment 91116 [details]
Example
Comment 8 QA Administrators 2015-04-19 03:23:31 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-06-19 13:59:27 UTC
No problem here. Fresh testing really appreciated.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 10 Buovjaga 2016-06-13 11:57:27 UTC
*** Bug 100230 has been marked as a duplicate of this bug. ***
Comment 11 QA Administrators 2017-09-01 11:20:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901